/***************************************************************************
 *   Copyright (C) 2007-2013 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QPoint>
#include <QString>
#include <QWidget>

#include "ui_abouthelp.h"


class aboutHelp : public QDialog
{
	Q_OBJECT

public:
	aboutHelp(QDialog* parent = 0, Qt::WindowFlags fl = 0 );
		~aboutHelp();

private:
	int iD;
	int iD2;

	QString sCredits;

	Ui::Help uih;			// help widget

	QDialog wHelp;			// help widget

	QPoint qPos;

	QString sHelp;			// about/help text

private slots:
	void closeDlg();		// close dialog

	void showAh(int iD);	// show about or help
	void showAbout();		// show about dialog
	void showHelp();		// show help dialog

	signals:
		void sigDelete();
};

#endif
