/****************************************************************************
 *	Copyright (C) 2009-2013 Helge Kortendieck  <alan@kasmithee.de>			*
 *																			*
 *	info - get song information using taglib								*
 *																			*
 *	This program is free software; you can redistribute it and/or modify	*
 *	it under the terms of the GNU General Public License as published by	*
 *	the Free Software Foundation; either version 2 of the License, or		*
 *	(at your option) any later version.										*
 ***************************************************************************/
#include "info.h"

	SongInfo siDI;			// song info struct entity


// ******************************************************************
// get info of current song
// ******************************************************************
SongInfo getInfo(const QString& sD)
{
	siDI.sArtist = "";
		siDI.sTitle = "";
		siDI.sAlbum = "";
		siDI.sYear = "";
		siDI.sComment = "";
		siDI.sTrack = "";
		siDI.sGenre = "";

	if (!sD.isEmpty()) {
		TagLib::String str(TagLib::String(sD.toUtf8().data(), TagLib::String::UTF8));
		TagLib::FileRef f(str.toCString());
		if(f.tag()->isEmpty() == false) {		// is there any tag info?
			siDI.sArtist = TStringToQString(f.tag()->artist());
			siDI.sTitle = TStringToQString(f.tag()->title());
			siDI.sAlbum = TStringToQString(f.tag()->album());
			siDI.sYear = QString::number(f.tag()->year());
			siDI.sComment = TStringToQString(f.tag()->comment());
			siDI.sTrack = QString::number(f.tag()->track());
			siDI.sGenre = TStringToQString(f.tag()->genre());
		}
		

/*		TagLib::MPEG::File c( str.toCString () );   // composer
		if( c.isValid() ) {
			TagLib::ID3v2::Tag *id3v2tag = c.ID3v2Tag();
			if( id3v2tag ) {
				TagLib::ID3v2::FrameList frameList = id3v2tag->frameListMap() ["TCOM"];
				if( !frameList.isEmpty() ) {
					sComposer = frameList.front()->toString().toCString(true);
				}
			}
		}
	}
	emit sigTagsSaved();*/
		return siDI;
	}
}


#include "info.moc"
